#!/usr/bin/env bash

CURRENT_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" >/dev/null 2>&1 && pwd)"

ALLOWED_BLOCK_SIZE_VALUES="2x2 3x2 3x3"
ALLOWED_DIFFICULTY_VALUES="easy medium hard"
GRIDS_COUNT=10

for BLOCK_SIZE in ${ALLOWED_BLOCK_SIZE_VALUES}; do
  echo "Block size: ${BLOCK_SIZE}"
  for DIFFICULTY in ${ALLOWED_DIFFICULTY_VALUES}; do
    echo "Difficulty: ${DIFFICULTY}"
    for i in $(seq ${GRIDS_COUNT}); do
      python ${CURRENT_DIR}/generate.py ${BLOCK_SIZE} ${DIFFICULTY} | tail -n 1
    done
  done
done
